"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withKeyframes = withKeyframes;

var _reactNativeReanimated = require("react-native-reanimated");

var _easing = require("./easing");

function withKeyframes({
  keyframes,
  easing,
  easingsByKeyframe,
  callback,
  duration
}) {
  return (0, _reactNativeReanimated.withTiming)(100, {
    easing: _easing.Easing.keyframes({
      keyframes: keyframes,
      easing,
      easingsByKeyframe
    }),
    duration
  }, callback);
}
//# sourceMappingURL=withKeyframes.js.map